%
% tex256.app -- additions to afm2tfm(1) .enc files, for better_afm2tfm.pl 
% by pts@fazekas.hu near Sun Jan 03 22:16:05 CET 2001
% `% AFM' added Sat Nov  8 16:24:57 CET 2003
%
% Dat: LIGKERN + KPX-EQ-R handling of AE,OE,ae,oe are inconsistent; IJ
%      is just right.

% vvv only Hungarian
%% AFM KPX-EQ-R a ; aacute
%% AFM KPX-EQ-R e ; eacute
%% AFM KPX-EQ-R i ; iacute
%% AFM KPX-EQ-R o ; oacute odieresis ohungarumlaut
%% AFM KPX-EQ-R u ; uacute udieresis uhungarumlaut
%% AFM KPX-EQ-R A ; Aacute
%% AFM KPX-EQ-R E ; Eacute
%% AFM KPX-EQ-R I ; Iacute
%% AFM KPX-EQ-R O ; Oacute Odieresis Ohungarumlaut
%% AFM KPX-EQ-R U ; Uacute Udieresis Uhungarumlaut

% vvv useful with Adobe AFM files already having `CC otilde' etc.
% vvv Dat: acute is better than tilde/circumflex for Frutiger
% AFM CC   ohungarumlaut 2 ; PCC o 0 0 ; PCC hungarumlaut OFFSET-CC oacute acute ; IF-MISSING;
% AFM CC   Ohungarumlaut 2 ; PCC O 0 0 ; PCC hungarumlaut OFFSET-CC Oacute acute ; IF-MISSING;
% AFM CC   uhungarumlaut 2 ; PCC u 0 0 ; PCC hungarumlaut OFFSET-CC uacute acute ; IF-MISSING;
% AFM CC   Uhungarumlaut 2 ; PCC U 0 0 ; PCC hungarumlaut OFFSET-CC Uacute acute ; IF-MISSING;
% vvv Dat: Adobe fonts usually have caron [sS]caron [zZ]caron, but not
%     [cC] [dD] [eE] [lL] [nN] [rR] [tT]caron
% vvv Dat: OFFSET-CC usually does very poor horizontal positioning :-(
%          Imp: we'd need OFFSET-MIDALIGN-CC instead
% Dat: too left: Ccaron Dcaron Ncaron ccaron dcaron ecaron ncaron
% Dat: too right: Lcaron Tcaron lcaron tcaron
% Imp: warning if replacement dotlessj is used
% AFM CC   ccaron 2 ; PCC c 0 0 ; PCC caron OFFSET-CC zcaron caron ; IF-MISSING;
% AFM CC   dcaron 2 ; PCC d 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   ecaron 2 ; PCC e 0 0 ; PCC caron OFFSET-CC zcaron caron ; IF-MISSING;
% AFM CC   lcaron 2 ; PCC l 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   ncaron 2 ; PCC n 0 0 ; PCC caron OFFSET-CC scaron caron ; IF-MISSING;
% AFM CC   tcaron 2 ; PCC t 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   rcaron 2 ; PCC r 0 0 ; PCC caron OFFSET-CC scaron caron ; IF-MISSING;
% AFM CC   Ccaron 2 ; PCC C 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   Dcaron 2 ; PCC D 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   Ecaron 2 ; PCC E 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   Lcaron 2 ; PCC L 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   Ncaron 2 ; PCC N 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   Tcaron 2 ; PCC T 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   Rcaron 2 ; PCC R 0 0 ; PCC caron OFFSET-CC Scaron caron ; IF-MISSING;
% AFM CC   sfthyphen 1 ; PCC hyphen 0 0 ; IF-MISSING;
% AFM CC   dotlessj 1 ; PCC j 0 0 ; IF-MISSING;
% AFM TOTAL-CC   SS 2 ; PCC S 0 0 ; PCC S WIDTH-OF S 0 ; IF-MISSING;
% AFM CC   Tcedilla 2 ; PCC T 0 0 ; PCC cedilla OFFSET-CC Ccedilla cedilla ; IF-MISSING;
% AFM CC   tcedilla 2 ; PCC t 0 0 ; PCC cedilla OFFSET-CC ccedilla cedilla ; IF-MISSING;
% A%FM CC   cwm 0 ; IF-MISSING; % Dat: afm2tfm(1) ignores `CC cwm 0 ;' anyway -- and doesn't embed the char to the font
% A%FM CC   ohungarumlaut 2 ; PCC o 0 0 ; PCC hungarumlaut OFFSET-CC otilde tilde ; IF-MISSING;
% A%FM CC   Ohungarumlaut 2 ; PCC O 0 0 ; PCC hungarumlaut OFFSET-CC Otilde tilde ; IF-MISSING;
% A%FM CC   uhungarumlaut 2 ; PCC u 0 0 ; PCC hungarumlaut OFFSET-CC ucircumflex circumflex ; IF-MISSING;
% A%FM CC   Uhungarumlaut 2 ; PCC U 0 0 ; PCC hungarumlaut OFFSET-CC Ucircumflex circumflex ; IF-MISSING;

% vvv contains all accented letters T1 encoding has
%     by pts@fazekas.hu at Sat Nov  8 15:21:49 CET 2003
% AFM KPX-EQ-R E ; AE
% AFM KPX-EQ-R J ; IJ
% AFM KPX-EQ-R E ; OE
% AFM KPX-EQ-R S ; SS
% AFM KPX-EQ-R e ; ae
% AFM KPX-EQ-R j ; ij
% AFM KPX-EQ-R e ; oe
% AFM KPX-EQ-R s ; ss
% AFM KPX-EQ-R A ; Aacute Abreve Acircumflex Adieresis Agrave Aogonek Aring Atilde
% AFM KPX-EQ-R C ; Cacute Ccaron Ccedilla
% AFM KPX-EQ-R D ; Dbar Dcaron Dcroat Dmacron Dquoteright Eth
% AFM KPX-EQ-R E ; Eacute Ecaron Ecircumflex Edieresis Egrave Eogonek
% AFM KPX-EQ-R G ; Gbreve
% AFM KPX-EQ-R I ; Iacute Icircumflex Idieresis Idotaccent Igrave
% AFM KPX-EQ-R L ; Lacute Lcaron Lquoteright Lslash
% AFM KPX-EQ-R N ; Nacute Ncaron Ntilde
% AFM KPX-EQ-R O ; Oacute Ocircumflex Odblacute Odieresis Ograve Ohungarumlaut Oslash Otilde
% AFM KPX-EQ-R R ; Racute Rcaron
% AFM KPX-EQ-R S ; Sacute Scaron Scedilla Scommaaccent
% AFM KPX-EQ-R T ; Tcaron Tcedilla Tcommaaccent Tquoteright
% AFM KPX-EQ-R U ; Uacute Ucircumflex Udblacute Udieresis Ugrave Uhungarumlaut Uring
% AFM KPX-EQ-R Y ; Yacute Ydieresis
% AFM KPX-EQ-R Z ; Zacute Zcaron Zdotaccent
% AFM KPX-EQ-R a ; aacute abreve acircumflex adieresis agrave aogonek aring atilde
% AFM KPX-EQ-R c ; cacute ccaron ccedilla
% AFM KPX-EQ-R d ; dbar dcaron dcroat dmacron dquoteright eth
% AFM KPX-EQ-R e ; eacute ecaron ecircumflex edieresis egrave eogonek
% AFM KPX-EQ-R g ; gbreve
% AFM KPX-EQ-R i ; iacute icircumflex idieresis idotaccent igrave
% AFM KPX-EQ-R l ; lacute lcaron lquoteright lslash
% AFM KPX-EQ-R n ; nacute ncaron ntilde
% AFM KPX-EQ-R o ; oacute ocircumflex odblacute odieresis ograve ohungarumlaut oslash otilde
% AFM KPX-EQ-R r ; racute rcaron
% AFM KPX-EQ-R s ; sacute scaron scedilla scommaaccent
% AFM KPX-EQ-R t ; tcaron tcedilla tcommaaccent tquoteright
% AFM KPX-EQ-R u ; uacute ucircumflex udblacute udieresis ugrave uhungarumlaut uring
% AFM KPX-EQ-R y ; yacute ydieresis
% AFM KPX-EQ-R z ; zacute zcaron zdotaccent

% vvv ripped from the afm2tfm binary itself
% LIGKERN ff l =: ffl ;
% LIGKERN f i =: fi ; f l =: fl ; f f =: ff ; ff i =: ffi ;

% vvv contains all accented letters T1 encoding has
%     by pts@fazekas.hu at Sat Nov  8 15:21:49 CET 2003
% LIGKERN AE <> A ; ae <> a ;
% LIGKERN Aacute <> A ; aacute <> a ;
% LIGKERN Abreve <> A ; abreve <> a ;
% LIGKERN Acircumflex <> A ; acircumflex <> a ;
% LIGKERN Adieresis <> A ; adieresis <> a ;
% LIGKERN Agrave <> A ; agrave <> a ;
% LIGKERN Aogonek <> A ; aogonek <> a ;
% LIGKERN Aring <> A ; aring <> a ;
% LIGKERN Atilde <> A ; atilde <> a ;
% LIGKERN Cacute <> C ; cacute <> c ;
% LIGKERN Ccaron <> C ; ccaron <> c ;
% LIGKERN Ccedilla <> C ; ccedilla <> c ;
% LIGKERN Dbar <> D ; dbar <> d ;
% LIGKERN Dcaron <> D ; dcaron <> d ;
% LIGKERN Dcroat <> D ; dcroat <> d ;
% LIGKERN Dmacron <> D ; dmacron <> d ;
% LIGKERN Dquoteright <> D ; dquoteright <> d ;
% LIGKERN Eacute <> E ; eacute <> e ;
% LIGKERN Ecaron <> E ; ecaron <> e ;
% LIGKERN Ecircumflex <> E ; ecircumflex <> e ;
% LIGKERN Edieresis <> E ; edieresis <> e ;
% LIGKERN Egrave <> E ; egrave <> e ;
% LIGKERN Eogonek <> E ; eogonek <> e ;
% LIGKERN Eth <> D ; eth <> d ;
% LIGKERN Gbreve <> G ; gbreve <> g ;
% LIGKERN IJ <> I ; ij <> i ;
% LIGKERN Iacute <> I ; iacute <> i ;
% LIGKERN Icircumflex <> I ; icircumflex <> i ;
% LIGKERN Idieresis <> I ; idieresis <> i ;
% LIGKERN Idotaccent <> I ; idotaccent <> i ;
% LIGKERN Igrave <> I ; igrave <> i ;
% LIGKERN Lacute <> L ; lacute <> l ;
% LIGKERN Lcaron <> L ; lcaron <> l ;
% LIGKERN Lquoteright <> L ; lquoteright <> l ;
% LIGKERN Lslash <> L ; lslash <> l ;
% LIGKERN Nacute <> N ; nacute <> n ;
% LIGKERN Ncaron <> N ; ncaron <> n ;
% LIGKERN Ntilde <> N ; ntilde <> n ;
% LIGKERN OE <> O ; oe <> o ;
% LIGKERN Oacute <> O ; oacute <> o ;
% LIGKERN Ocircumflex <> O ; ocircumflex <> o ;
% LIGKERN Odblacute <> O ; odblacute <> o ;
% LIGKERN Odieresis <> O ; odieresis <> o ;
% LIGKERN Ograve <> O ; ograve <> o ;
% LIGKERN Ohungarumlaut <> O ; ohungarumlaut <> o ;
% LIGKERN Oslash <> O ; oslash <> o ;
% LIGKERN Otilde <> O ; otilde <> o ;
% LIGKERN Racute <> R ; racute <> r ;
% LIGKERN Rcaron <> R ; rcaron <> r ;
% LIGKERN SS <> S ; ss <> s ;
% LIGKERN Sacute <> S ; sacute <> s ;
% LIGKERN Scaron <> S ; scaron <> s ;
% LIGKERN Scedilla <> S ; scedilla <> s ;
% LIGKERN Scommaaccent <> S ; scommaaccent <> s ;
% LIGKERN Tcaron <> T ; tcaron <> t ;
% LIGKERN Tcedilla <> T ; tcedilla <> t ;
% LIGKERN Tcommaaccent <> T ; tcommaaccent <> t ;
% LIGKERN Tquoteright <> T ; tquoteright <> t ;
% LIGKERN Uacute <> U ; uacute <> u ;
% LIGKERN Ucircumflex <> U ; ucircumflex <> u ;
% LIGKERN Udblacute <> U ; udblacute <> u ;
% LIGKERN Udieresis <> U ; udieresis <> u ;
% LIGKERN Ugrave <> U ; ugrave <> u ;
% LIGKERN Uhungarumlaut <> U ; uhungarumlaut <> u ;
% LIGKERN Uring <> U ; uring <> u ;
% LIGKERN Yacute <> Y ; yacute <> y ;
% LIGKERN Ydieresis <> Y ; ydieresis <> y ;
% LIGKERN Zacute <> Z ; zacute <> z ;
% LIGKERN Zcaron <> Z ; zcaron <> z ;
% LIGKERN Zdotaccent <> Z ; zdotaccent <> z ;
% < /Eng /eng
% < /dcroat /dbar /dmacron
% < /Odblacute /odblacute
% < /Tcommaaccent /tcommaaccent
% < /Scommaaccent /scommaaccent
% < /dquoteright
% < /Lquoteright /lquoteright
% < /Tquoteright /tquoteright
% < Thorn

% LIGKERN nine {} * ; * {} nine ;
% LIGKERN seven {} * ; * {} seven ; eight {} * ; * {} eight ;
% LIGKERN five {} * ; * {} five ; six {} * ; * {} six ;
% LIGKERN three {} * ; * {} three ; four {} * ; * {} four ;
% LIGKERN one {} * ; * {} one ; two {} * ; * {} two ;
% LIGKERN space {} * ; * {} space ; zero {} * ; * {} zero ;
% LIGKERN quoteright quoteright =: quotedblright ;
% LIGKERN quoteleft quoteleft =: quotedblleft ;
% LIGKERN hyphen hyphen =: endash ; endash hyphen =: emdash ;
% LIGKERN exclam quoteleft =: exclamdown ;
% LIGKERN question quoteleft =: questiondown ;
% LIGKERN space l =: lslash ; space L =: Lslash ;

% vvv part of original cork.enc
% LIGKERN space l =: lslash ; space L =: Lslash ;
% LIGKERN question quoteleft =: questiondown ; exclam quoteleft =: exclamdown ;
% LIGKERN hyphen hyphen =: endash ; endash hyphen =: emdash ;
% LIGKERN quoteleft quoteleft =: quotedblleft ;
% LIGKERN quoteright quoteright =: quotedblright ;
% LIGKERN comma comma =: quotedblbase ; less less =: guillemotleft ;
% LIGKERN greater greater =: guillemotright ;
%
%   We blow away kerns to and from spaces (TeX doesn't have a
%   space) and also remove any kerns from the numbers (although
%   the only kern pair that mentions a number in Times-Roman.afm
%   is one one.)
%
% LIGKERN space {} * ; * {} space ; zero {} * ; * {} zero ;
% LIGKERN one {} * ; * {} one ; two {} * ; * {} two ;
% LIGKERN three {} * ; * {} three ; four {} * ; * {} four ;
% LIGKERN five {} * ; * {} five ; six {} * ; * {} six ;
% LIGKERN seven {} * ; * {} seven ; eight {} * ; * {} eight ;
% LIGKERN nine {} * ; * {} nine ;
